// JavaScript Document
$(document).ready(function(e) {
    
	$( "#tabsProducao" ).tabs({
		beforeLoad: function( event, ui ) {
		ui.jqXHR.error(function() {
		ui.panel.html(
		"Couldn't load this tab. We'll try to fix this as soon as possible. " +
		"If this wouldn't be a demo." );
		});
	 }
	});
			
	$('#btnEditar').live('click',function(){
	 	
		if(confirm('Gostaria de enviar esté cliente para a Edição?')){
			var funcionario = $('#boxLogin').html();	
			var id_prod = $(this).attr('id_prod');
			EmFila('3', funcionario, id_prod);	
		}
	return false;
	})
			
			
	$('#btnFinalizarEdicao').live('click',function(){
		if(confirm('Gostaria de finalizar a edição?')){
			var funcionario = $('#boxLogin').html();	
			var id_prod = $(this).attr('id_prod');
			EmFila('4', funcionario, id_prod);

		}
	return false;
	})			
			

});


function ProgresseBar(Nome, Data){
	$('#'+Nome).progressbar({value: ((DiferencaEntreDatas(Data,DataAtual()) * 100) / 90)});	
}
function DiasCorridos(Nome, Data){
	$('#'+Nome).html(DiferencaEntreDatas(Data,DataAtual()));
}


function EmFila(statos, funcionario, id_prod){
				$.ajax({
				 type: "POST",
				 url: "producao/ax.producao.php",
				 data: 'ax=UpdateProducao&statos='+statos+'&funcionario='+funcionario, 
				 beforeSend: function(){$("#pnEmFila" + id_prod).html('<div align="center"><img src="img/loadNew.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#pnEmFila" + id_prod).html('').fadeIn('slow');} ,
				 error: function(R){ $("#pnEmFila" + id_prod).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#pnEmFila" + id_prod).html('ui-state-error ui-corner-all');
									  }

			  }) //fim ajax			
}

function FinalizarEdicao(statos, funcionario, id_prod, btn){
				$.ajax({
				 type: "POST",
				 url: "producao/ax.producao.php",
				 data: 'ax=UpdateProducao&statos='+statos+'&funcionario='+funcionario, 
				 beforeSend: function(){$("#" +btn).html('<div align="center"><img src="img/loadNew.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#" + btn).html('Aguardando Subir as Fotos').fadeIn('slow');} ,
				 error: function(R){ $("#" + btn).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#" + btn).html('ui-state-error ui-corner-all');
									  }

			  }) //fim ajax			
}

function CarregarProcesso(statos, local){
				 $.ajax({
				 type: "POST",
				 url: "producao/em.processo.php",
				 data: 'statos='+statos+'&local='+local, 
				 beforeSend: function(){$("#"+local).append('<div align="center"><img src="img/loadNew.gif"/></div>').fadeIn('slow');},
				 success: function(R){$("#"+local).html(R).fadeIn('slow');} ,
				 error: function(R){ $("#"+local).html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
									  $("#"+local).html('ui-state-error ui-corner-all');
									  }

			  }) //fim ajax	
}